<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package scaffold
 */

get_header(); ?>

	<section class="content-area">

		<?php
		if ( have_posts() ) : ?>

			<header class="page-header">
				/* translators: %s: post title */
				<h1 class="page-title">
					<?php /* translators: %s: the search query */
					printf( esc_html__( 'Search Results for: %s', 'scaffold' ), '<span>' . get_search_query() . '</span>' ); ?>
				</h1>
			</header><!-- .page-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'search' );

			endwhile;

			scaffold_the_posts_navigation( $args );

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

	</section><!-- .content-area -->

<?php
get_sidebar();
get_footer();
